/*
 *
 *      Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: hnqz
 *
 */

package com.qunzhixinxi.hnqz.admin.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qunzhixinxi.hnqz.admin.service.SysDeptService;
import com.qunzhixinxi.hnqz.common.core.util.R;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 部门管理 前端控制器
 * </p>
 *
 * @author hnqz
 * @since 2018-01-20
 */
@RestController
@AllArgsConstructor
@RequestMapping("/depts")
@Api(value = "dept", tags = "部门管理模块")
public class SysDeptController1 {

	private final SysDeptService sysDeptService;

	/**
	 * 分页查询药企和CSO代理商
	 *
	 * @param deptName
	 * @return
	 */
	@GetMapping("/list-ent/agent")
	public R<?> listEntAndAgent(
			@RequestParam(value = "current") Integer current,
			@RequestParam(value = "size") Integer size,
			@RequestParam(value = "deptName", required = false) String deptName) {
		return R.ok(sysDeptService.listEntAndAgent(new Page(current,size), deptName));
	}
}
